This documentation has moved
This content now lives on the Virtana documentation site and is no longer updated. This site will be taken offline on January 31, 2027.
Go to the current documentation and update your bookmarks.
Dictionary service
The dictionary service provides more readable or compact alternatives to computer-generated metric and event field names, as well as other supplemental information. Dictionary entries enhance the usability of Virtana Service Observability wherever metric and event information is displayed.
- Create an entry (POST /v1/dictionary/metrics)
- Get one entry (GET /v1/dictionary/metrics/{name})
- Get multiple entries (POST /v1/dictionary/metrics:batchGet)
- Get all entries (GET /v1/dictionary/metrics)
- Update an entry (PATCH /v1/dictionary/metrics/{name})
- Delete an entry (DELETE /v1/dictionary/metrics/{name})
- Create an entry (POST /v1/dictionary/entity_fields)
- Get one entry (GET /v1/dictionary/entity_fields/{name})
- Get all entries (GET /v1/dictionary/entity_fields)
- Update an entry (PATCH /v1/dictionary/entity_fields/{name})
- Delete an entry (DELETE /v1/dictionary/entity_fields/{name})
- Create an entry (POST /v1/dictionary/event_fields)
- Get one entry (GET /v1/dictionary/event_fields/{name})
- Get all entries (GET /v1/dictionary/event_fields)
- Update an entry (PATCH /v1/dictionary/event_fields/{name})
- Delete an entry (DELETE /v1/dictionary/event_fields/{name})